
from odoo import models

def migrate(cr, version):
    pass  # noop


class ResGroups(models.Model):
    _inherit = 'res.groups'
    _module = 'base'

    def get_groups_by_application(self):
        # during the upgrade final view check (see [1]) if may happen that
        # the cache contains invalid `trans_implied_ids` values; in that case
        # the view check for `base.user_groups_view` will fail and that view
        # will be reload from disk, resulting in a broken "user form view".
        # Here we force clearing the cache  of that field to ensure it's
        # correctly computed until a proper fix is implemented in standard.
        # ^1: `IrUiView._register_hook()` from `base/0.0.0/pre-models-ir_ui_view.py`
        self.invalidate_model(['trans_implied_ids'])
        return super().get_groups_by_application()
